# -*- indent-tabs-mode: nil; tab-width: 4; -*-
# vim:ft=perl:et:sw=4
# $Id$

use strict;
use warnings;
use Test::More;
use FindBin qw($Bin);

require "$Bin/common.pl";
eval "require '$Bin/config.pl'";

if ($@) {
    plan skip_all => 'no config found' if ($@);
} elsif (!$LA::T::HEIMDALBASE) {
    plan skip_all => 'No heimdal base defined';
} else {
    plan tests => 10; # Number of test
}

use_ok('LATMOS::Accounts');
use_ok('LATMOS::Accounts::Bases::Heimdal');

ok(my $la = LATMOS::Accounts->new(undef, noacl => 1), "Can get LATMOS::Accounts");
ok(my $base = $la->base($LA::T::HEIMDALBASE), "can get Heimdal base $LA::T::HEIMDALBASE");

{ # test: user
my $oid = genid();

use_ok('LATMOS::Accounts::Bases::Heimdal::User');
ok($base->create_c_object('user', $oid, ), "Can create user $oid");
ok(my $obj = $base->get_object('user', $oid), "user $oid is actually deleted");

my $passwd = genid();
ok($obj->set_password($passwd), "Can set password");

ok($base->delete_object('user', $oid), "Can delete user $oid");
ok(!$base->get_object('user', $oid), "user $oid is actually deleted");
}

